haskell-language-server-2.7.0.0: LSP server for GHC

Safe Haskell | None
Language | GHC2021

Development.IDE.Plugin.CodeAction.Util

Synopsis

- timestamp :: POSIXTime
- debugAST :: Bool
- traceAst :: (Data a, ExactPrint a, HasCallStack) => String -> a -> a

# Documentation

timestamp :: POSIXTime #

debugAST :: Bool #

traceAst :: (Data a, ExactPrint a, HasCallStack) => String -> a -> a #

Prints an `Outputable` value to stderr and to an HTML file for further inspection